#!/bin/bash

#alertstream component sanity check

function zipit() {
	:
}

#~ Include general library (should go in all sanity scripts.)
if [ ! -f /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh ];then
    echo "Sanity Checks Component not installed"
    exit 1
else 
    . /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh
fi

do_these_files_exist $COMPONENTS/alertstream/alertstream.inc.php \
	$COMPONENTS/alertstream/AlertStream.jar \
	$COMPONENTS/alertstream/alertstream.js \
	$COMPONENTS/alertstream/go.php \
	$COMPONENTS/alertstream/index.php \
	$COMPONENTS/alertstream/xmldata.php 

is_component $COMPONENTS/alertstream/alertstream.inc.php

print_results
