<script>
    var targetlist = <?php echo json_encode($targetlist); ?>;
    var dataoptions = <?php echo json_encode($dataoptions); ?>;

    var API_URL = base_url + '/includes/components/capacityplanning/cp-extrap.php';

    /* For each target in the target list, make a query for the data in order
     * to fill the extrapolation table and graph it.
     */
    $.each(targetlist, function(host, hostinfo) {
        query = get_extrapolation_query(host, 
                                        hostinfo.service, 
                                        hostinfo.track);
        $.getJSON(API_URL, query, function(d) {
            var id = hostinfo.uid;
            var service = hostinfo.service;
            var track = hostinfo.track;
            fill_table(d, id);
            make_highcharts(d.highcharts, host, service, track, id, d.error, <?php echo $width; ?>, <?php echo $height; ?>);
        }).fail(function(d, textStatus, error) {
            console.error('getJSON failed, status: ' + textStatus + ', error: ' + error)
        })
    });

</script>

<?php
    include('capacityreporttemplate.inc.php');
?>    
