<?php 
// Create some reandom ids
$hc_div_id = "hc-".uniqid();
$tb_div_id = "tb-".uniqid();
$tab_div_id = "tab-".uniqid();
$class_id = "tb-box-".uniqid();
?>

<div id='capacity-report-<?php echo $targetlist[$host]['uid']; ?>' class='capacity-report'>
    <div class="cp-tab-container" style="width: <?php echo $width; ?>px; height: <?php echo $height; ?>px;">
        <div class="<?php echo $class_id; ?>" id="<?php echo $hc_div_id; ?>">
            <div id='highcharts-target-<?php echo $targetlist[$host]['uid']; ?>'></div>
        </div>
        <div class="<?php echo $class_id; ?>" id="<?php echo $tb_div_id; ?>" style="display: none;">
            <table id='capacityplanning-table-<?php echo $targetlist[$host]['uid']; ?>' class='standardtable'>
                <tbody id='capacityreport-tbody-<?php echo $targetlist[$host]['uid']; ?>'>
                    <tr>
                        <th class='name-header'>Name</th>
                        <th>Value</th>
                    </tr>
                    <tr>
                        <td>Host</td>
                        <td><?php echo $host; ?></td>
                    </tr>
                    <tr>
                        <td>Service</td>
                        <td><?php echo $targetlist[$host]['service']; ?></td>
                    </tr>
                    <tr>
                        <td>Track</td>
                        <td><?php echo $targetlist[$host]['track']; ?></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <ul class="cp-tabs" id="<?php echo $tab_div_id; ?>">
        <li class="active"><a data-tab="<?php echo $hc_div_id; ?>" data-type="graph">Graph</a></li>
        <li><a data-tab="<?php echo $tb_div_id; ?>" data-type="table">Table</a></li>
    </ul>
    <div style="clear:both;"></div>
</div>

<script>
$("#<?php echo $tab_div_id; ?> li a").click(function() {

    // Clear all
    $("#<?php echo $tab_div_id; ?> li").removeClass('active');
    $(".<?php echo $class_id; ?>").hide();

    var display_tab = $(this).data("tab");
    var display_type = $(this).data("type");

    if (display_type == "table") {
        $("#" + display_tab).parent().addClass('cp-scroll');
    } else {
        $("#" + display_tab).parent().removeClass('cp-scroll');
    }

    $("#" + display_tab).show();

    $(this).parent().addClass('active');
});
</script>